package clientP2P;
import clientP2P.ClientManagementUDP;
import tools.Directories;


public class ClientP2P {
	private String host;
	private int port;
	private Directories directories;
	public ClientP2P() {
		directories = new Directories("P2P_JAVA_PROJECT_CLIENT");
		host = "localhost";
		port = 40000;
		System.out.println("Client will try to contact server at " + host + " on port " + port + ". It will save files in " + directories.getDataHomeDirectory());
		directories.askOpenDataHomeDirectory();
	}

	public static void main(String [] args) {
		ClientP2P c = new ClientP2P();
		ClientManagementUDP cm = new ClientManagementUDP(c.directories.getDataHomeDirectory(), c.host, c.port);
		Thread t = new Thread(cm);
		t.setName("client P2P-JAVA-PROJECT");
		t.start();
	}
}
