package serverP2P;
import serverP2P.ServerManagementUDP;
import tools.Directories;

public class ServerP2P {
	private int port;
	private Directories directories;

	public ServerP2P() {
		directories = new Directories("P2P_JAVA_PROJECT_SERVER");
		port = 40000;
		System.out.println("Server will listen on port " + port + " and serve files from " + directories.getDataHomeDirectory());
		directories.askOpenDataHomeDirectory();
	}
	public static void main(String [] args) {
		ServerP2P s = new ServerP2P();
		ServerManagementUDP sm = new ServerManagementUDP(s.directories.getDataHomeDirectory(), s.port);
		Thread t = new Thread(sm);
		t.setName("server P2P-JAVA-PROJECT");
		t.start();
	}

}
